import * as React from "react";
declare const ButtonHTMLTypes: ["submit", "button", "reset"];
declare type ButtonHTMLType = typeof ButtonHTMLTypes[number];
export declare const CustomerPortalSectionTitle: React.ForwardRefExoticComponent<Pick<React.ClassAttributes<HTMLHeadingElement> & React.HTMLAttributes<HTMLHeadingElement>, "key" | keyof React.HTMLAttributes<HTMLHeadingElement>> & React.RefAttributes<any>>;
export declare const LoadingPanel: ({ key }: {
    key?: number;
}) => JSX.Element;
export declare const LoadingSpacer: React.ForwardRefExoticComponent<Pick<React.ClassAttributes<HTMLDivElement> & React.HTMLAttributes<HTMLDivElement>, "key" | keyof React.HTMLAttributes<HTMLDivElement>> & React.RefAttributes<any>>;
export declare const Panel: ({ children, ...props }: {
    [x: string]: any;
    children?: any;
}) => JSX.Element;
export declare const DotLoader: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TextLoader: ({ char, style, className }: {
    char?: number;
    style?: {};
    className?: string;
}) => JSX.Element;
interface ButtonProps {
    theme?: "primary" | "flat" | "default";
    size?: any;
    icon?: any;
    ref?: any;
    disabled?: boolean;
    loading?: boolean;
    block?: boolean;
    style?: Object;
    type?: ButtonHTMLType;
    onClick?: React.MouseEventHandler<HTMLElement>;
    children: any;
}
export declare const DefaultButton: React.ForwardRefExoticComponent<Pick<React.ClassAttributes<HTMLButtonElement> & React.ButtonHTMLAttributes<HTMLButtonElement>, "key" | keyof React.ButtonHTMLAttributes<HTMLButtonElement>> & React.RefAttributes<any>>;
export declare const LoadingLayer: ({ style }: {
    style?: {};
}) => JSX.Element;
export declare const Loader: ({ className }: {
    className?: string;
}) => JSX.Element;
export declare const Button: ({ theme, size, loading, disabled, block, style, ref, icon, onClick, type, children }: ButtonProps) => JSX.Element;
export {};
