/// <reference types="react" />
import Stripe from "stripe";
import { Reducer } from "./reducers";
import { Product, SelectedPricing, ModalOptions, BillingOptions } from "../types";
export interface State {
    loaded: boolean;
    liveMode: boolean;
    stripeAccount?: string;
    productPageUrl?: string;
    user: any;
    stripe: Stripe | null;
    product?: Product;
    pricing?: SelectedPricing;
    promotionCode?: Stripe.PromotionCode;
    modalOptions: ModalOptions;
    billingOptions: BillingOptions;
    paymentModalVisible: boolean;
    paymentError: string;
    paymentSuccessful: boolean;
    paymentProcessing: boolean;
    onPaymentSuccessful: () => void;
    onPaymentError: (error: any) => void;
}
interface ContextProvided {
    state: State;
    dispatch: any;
}
export declare const initState: State;
export interface Action {
    type: Reducer;
    payload?: any;
}
declare const _default: import("react").Context<ContextProvided>;
export default _default;
