/// <reference types="stripe/types/crypto/crypto" />
/// <reference types="stripe/types/shared" />
/// <reference types="stripe/types/errors" />
/// <reference types="stripe/types/oauth" />
/// <reference types="stripe/types/webhooks" />
/// <reference types="stripe/types/2020-08-27/accountlinks" />
/// <reference types="stripe/types/2020-08-27/accounts" />
/// <reference types="stripe/types/2020-08-27/alipayaccounts" />
/// <reference types="stripe/types/2020-08-27/applepaydomains" />
/// <reference types="stripe/types/2020-08-27/applicationfees" />
/// <reference types="stripe/types/2020-08-27/applications" />
/// <reference types="stripe/types/2020-08-27/balance" />
/// <reference types="stripe/types/2020-08-27/balancetransactions" />
/// <reference types="stripe/types/2020-08-27/bankaccounts" />
/// <reference types="stripe/types/2020-08-27/billingportal/configurations" />
/// <reference types="stripe/types/2020-08-27/billingportal/sessions" />
/// <reference types="stripe/types/2020-08-27/bitcoinreceivers" />
/// <reference types="stripe/types/2020-08-27/bitcointransactions" />
/// <reference types="stripe/types/2020-08-27/capabilities" />
/// <reference types="stripe/types/2020-08-27/cards" />
/// <reference types="stripe/types/2020-08-27/charges" />
/// <reference types="stripe/types/2020-08-27/checkout/sessions" />
/// <reference types="stripe/types/2020-08-27/connectcollectiontransfers" />
/// <reference types="stripe/types/2020-08-27/countryspecs" />
/// <reference types="stripe/types/2020-08-27/coupons" />
/// <reference types="stripe/types/2020-08-27/creditnotelineitems" />
/// <reference types="stripe/types/2020-08-27/creditnotes" />
/// <reference types="stripe/types/2020-08-27/customerbalancetransactions" />
/// <reference types="stripe/types/2020-08-27/customersources" />
/// <reference types="stripe/types/2020-08-27/customers" />
/// <reference types="stripe/types/2020-08-27/discounts" />
/// <reference types="stripe/types/2020-08-27/disputes" />
/// <reference types="stripe/types/2020-08-27/ephemeralkeys" />
/// <reference types="stripe/types/2020-08-27/events" />
/// <reference types="stripe/types/2020-08-27/exchangerates" />
/// <reference types="stripe/types/2020-08-27/externalaccounts" />
/// <reference types="stripe/types/2020-08-27/feerefunds" />
/// <reference types="stripe/types/2020-08-27/filelinks" />
/// <reference types="stripe/types/2020-08-27/files" />
/// <reference types="stripe/types/2020-08-27/identity/verificationreports" />
/// <reference types="stripe/types/2020-08-27/identity/verificationsessions" />
/// <reference types="stripe/types/2020-08-27/invoiceitems" />
/// <reference types="stripe/types/2020-08-27/invoicelineitems" />
/// <reference types="stripe/types/2020-08-27/invoices" />
/// <reference types="stripe/types/2020-08-27/issuerfraudrecords" />
/// <reference types="stripe/types/2020-08-27/issuing/authorizations" />
/// <reference types="stripe/types/2020-08-27/issuing/carddetails" />
/// <reference types="stripe/types/2020-08-27/issuing/cardholders" />
/// <reference types="stripe/types/2020-08-27/issuing/cards" />
/// <reference types="stripe/types/2020-08-27/issuing/disputes" />
/// <reference types="stripe/types/2020-08-27/issuing/transactions" />
/// <reference types="stripe/types/2020-08-27/lineitems" />
/// <reference types="stripe/types/2020-08-27/loginlinks" />
/// <reference types="stripe/types/2020-08-27/mandates" />
/// <reference types="stripe/types/2020-08-27/orderitems" />
/// <reference types="stripe/types/2020-08-27/orderreturns" />
/// <reference types="stripe/types/2020-08-27/orders" />
/// <reference types="stripe/types/2020-08-27/paymentintents" />
/// <reference types="stripe/types/2020-08-27/paymentmethods" />
/// <reference types="stripe/types/2020-08-27/payouts" />
/// <reference types="stripe/types/2020-08-27/persons" />
/// <reference types="stripe/types/2020-08-27/plans" />
/// <reference types="stripe/types/2020-08-27/platformtaxfees" />
/// <reference types="stripe/types/2020-08-27/prices" />
/// <reference types="stripe/types/2020-08-27/products" />
/// <reference types="stripe/types/2020-08-27/promotioncodes" />
/// <reference types="stripe/types/2020-08-27/quotes" />
/// <reference types="stripe/types/2020-08-27/radar/earlyfraudwarnings" />
/// <reference types="stripe/types/2020-08-27/radar/valuelistitems" />
/// <reference types="stripe/types/2020-08-27/radar/valuelists" />
/// <reference types="stripe/types/2020-08-27/recipients" />
/// <reference types="stripe/types/2020-08-27/refunds" />
/// <reference types="stripe/types/2020-08-27/reporting/reportruns" />
/// <reference types="stripe/types/2020-08-27/reporting/reporttypes" />
/// <reference types="stripe/types/2020-08-27/reservetransactions" />
/// <reference types="stripe/types/2020-08-27/reviews" />
/// <reference types="stripe/types/2020-08-27/skus" />
/// <reference types="stripe/types/2020-08-27/setupattempts" />
/// <reference types="stripe/types/2020-08-27/setupintents" />
/// <reference types="stripe/types/2020-08-27/sigma/scheduledqueryruns" />
/// <reference types="stripe/types/2020-08-27/sourcemandatenotifications" />
/// <reference types="stripe/types/2020-08-27/sourcetransactions" />
/// <reference types="stripe/types/2020-08-27/sources" />
/// <reference types="stripe/types/2020-08-27/subscriptionitems" />
/// <reference types="stripe/types/2020-08-27/subscriptionschedules" />
/// <reference types="stripe/types/2020-08-27/subscriptions" />
/// <reference types="stripe/types/2020-08-27/taxcodes" />
/// <reference types="stripe/types/2020-08-27/taxdeductedatsources" />
/// <reference types="stripe/types/2020-08-27/taxids" />
/// <reference types="stripe/types/2020-08-27/taxrates" />
/// <reference types="stripe/types/2020-08-27/terminal/connectiontokens" />
/// <reference types="stripe/types/2020-08-27/terminal/locations" />
/// <reference types="stripe/types/2020-08-27/terminal/readers" />
/// <reference types="stripe/types/2020-08-27/tokens" />
/// <reference types="stripe/types/2020-08-27/topups" />
/// <reference types="stripe/types/2020-08-27/transferreversals" />
/// <reference types="stripe/types/2020-08-27/transfers" />
/// <reference types="stripe/types/2020-08-27/usagerecordsummaries" />
/// <reference types="stripe/types/2020-08-27/usagerecords" />
/// <reference types="stripe/types/2020-08-27/webhookendpoints" />
/// <reference types="stripe" />
/// <reference types="stripe/types/lib" />
/// <reference types="stripe/types/net/net" />
import { Action, State } from "./context";
export declare enum Reducer {
    RESET = "RESET",
    RESET_PAYMENT = "RESET_PAYMENT",
    SET_LOADED = "SET_LOADED",
    SET_USER = "SET_USER",
    SET_STRIPE = "SET_STRIPE",
    SET_STRIPE_ACCOUNT = "SET_STRIPE_ACCOUNT",
    SET_PAYMENT_MODAL_VISIBLE = "SET_PAYMENT_MODAL_VISIBLE",
    SET_SELECTED_PRODUCT = "SET_SELECTED_PRODUCT",
    SET_PAYMENT_ERROR = "SET_PAYMENT_ERROR",
    SET_PAYMENT_PROCESSING = "SET_PAYMENT_PROCESSING",
    SET_PROMOTION_CODE = "SET_PROMOTION_CODE",
    SET_PAYMENT_SUCCESSFUL = "SET_PAYMENT_SUCCESSFUL"
}
export declare const Reducers: {
    RESET: (state: any) => {
        liveMode: any;
        loaded: boolean;
        stripeAccount?: string;
        productPageUrl?: string;
        user: any;
        stripe: import("stripe").Stripe;
        product?: import("..").Product;
        pricing?: import("..").SelectedPricing;
        promotionCode?: import("stripe").Stripe.PromotionCode;
        modalOptions: import("..").ModalOptions;
        billingOptions: import("..").BillingOptions;
        paymentModalVisible: boolean;
        paymentError: string;
        paymentSuccessful: boolean;
        paymentProcessing: boolean;
        onPaymentSuccessful: () => void;
        onPaymentError: (error: any) => void;
    };
    RESET_PAYMENT: (state: any) => any;
    SET_LOADED: (state: any) => any;
    SET_STRIPE_ACCOUNT: (state: any) => any;
    SET_USER: (state: any, action: Action) => any;
    SET_STRIPE: (state: any, action: Action) => any;
    SET_PAYMENT_MODAL_VISIBLE: (state: any, action: Action) => any;
    SET_SELECTED_PRODUCT: (state: any, action: Action) => any;
    SET_PAYMENT_ERROR: (state: any, action: Action) => any;
    SET_PAYMENT_PROCESSING: (state: any, action: Action) => any;
    SET_PROMOTION_CODE: (state: any, action: Action) => any;
    SET_PAYMENT_SUCCESSFUL: (state: any) => any;
};
declare const _default: (state: State, action: Action) => any;
export default _default;
